#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		apivers		1.4
#-----------------------------------------------------------------------------
Name		:	pangomm
Version		:	2.46.3
Release		:	17.0.10.rel%{?dist}
Summary		:	Library to provides a C++ interface to Pango. 
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/pangomm

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	pkgconfig(cairomm-1.0)
BuildRequires	:	doxygen
BuildRequires	:	graphviz
BuildRequires	:	glibmm-2-4-devel
BuildRequires	:	mm-common
BuildRequires	:	pango
#-----------------------------------------------------------------------------
%description
'%{name}' provides a C++ interface to the Pango library.
Highlights include typesafe callbacks, widgets extensible
via inheritance and a comprehensive set of widget classes
that can be freely combined to quickly create complex user
interfaces

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc AUTHORS COPYING NEWS README.md
%{_includedir}/%{name}-%{apivers}/%{name}.h
%{_includedir}/%{name}-%{apivers}/%{name}/*.h
%{_includedir}/%{name}-%{apivers}/%{name}/private/*.h
%{_libdir}/%{name}-%{apivers}/include/%{name}config.h
%{_libdir}/%{name}-%{apivers}/proc/m4/*.m4
%{_libdir}/pkgconfig/%{name}-*%{apivers}.pc
%{_libdir}/lib%{name}-%{apivers}.so*
%{_datadir}/devhelp/books/%{name}-%{apivers}/%{name}-%{apivers}.devhelp2
%{_defaultdocdir}/%{name}-%{apivers}/images/*.gif
%{_defaultdocdir}/%{name}-%{apivers}/reference/html/*
%{_defaultdocdir}/%{name}-%{apivers}/reference/%{name}-%{apivers}.tag

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	--buildtype=release				\
	-D build-documentation=true			\
	build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
		-C build				\
		install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
